curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d/connection-check" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetConnectionCheckSourcesRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.sources.get_source_connection_check(
request=GetConnectionCheckSourcesRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetConnectionCheckSourcesRequest
async def get_source_connection_check():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.sources.get_source_connection_check_async(
request=GetConnectionCheckSourcesRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
asyncio.run(get_source_connection_check())
{
"id": "c2b3a4d5-6e7f-8a9b-0c1d-2e3f4a5b6c7d",
"status": "SUCCESS",
"reason": null,
"created_at": "2026-01-01T00:00:00Z",
"reported_at": "2026-01-01T00:00:05Z"
}
Source
Get source connection check
Retrieve the most recent connection check for the source connector.
GET
/
api
/
v1
/
sources
/
{source_id}
/
connection-check
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d/connection-check" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetConnectionCheckSourcesRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.sources.get_source_connection_check(
request=GetConnectionCheckSourcesRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetConnectionCheckSourcesRequest
async def get_source_connection_check():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.sources.get_source_connection_check_async(
request=GetConnectionCheckSourcesRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
asyncio.run(get_source_connection_check())
{
"id": "c2b3a4d5-6e7f-8a9b-0c1d-2e3f4a5b6c7d",
"status": "SUCCESS",
"reason": null,
"created_at": "2026-01-01T00:00:00Z",
"reported_at": "2026-01-01T00:00:05Z"
}
Path parameters
string
required
The unique identifier of the source connector.
Response
string
required
Unique identifier for the connection check.
string
required
Connection check status. One of:
SCHEDULED, SUCCESS, FAILURE.string
Failure reason, if applicable.
string
required
ISO 8601 timestamp when the check was initiated.
string
ISO 8601 timestamp when the check result was reported.
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d/connection-check" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetConnectionCheckSourcesRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.sources.get_source_connection_check(
request=GetConnectionCheckSourcesRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetConnectionCheckSourcesRequest
async def get_source_connection_check():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.sources.get_source_connection_check_async(
request=GetConnectionCheckSourcesRequest(
source_id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
)
)
print(response)
asyncio.run(get_source_connection_check())
{
"id": "c2b3a4d5-6e7f-8a9b-0c1d-2e3f4a5b6c7d",
"status": "SUCCESS",
"reason": null,
"created_at": "2026-01-01T00:00:00Z",
"reported_at": "2026-01-01T00:00:05Z"
}
Was this page helpful?
⌘I

